Bug 1571794 - [DOCS] Missing the repository 'rhel-7-server-rpms' in the upgrade section in openshift documentation
Summary: [DOCS] Missing the repository 'rhel-7-server-rpms' in the upgrade section in ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Ashley Hardin
QA Contact: Weihua Meng
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 12:31 UTC by rehan
Modified: 2018-06-10 11:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-05 21:14:34 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description rehan 2018-04-25 12:31:50 UTC
Document URL: 

https://docs.openshift.com/container-platform/3.9/upgrading/automated_upgrades.html#preparing-for-an-automated-upgrade

Section Number and Name: 

[2][a]

Describe the issue: 

In OCP 3.9 upgrade documentation is missing the repository --enable="rhel-7-server-rpms"

Suggestions for improvement: 

That repository i.e --enable="rhel-7-server-rpms"  is listed in the host preparation section[6] , but should be listed in the upgrade section as well. 


Host preparation document -->  https://docs.openshift.com/container-platform/3.9/install_config/install/host_preparation.html#host-registration


Additional information: 

Please back port this to earlier documentation as well.

Comment 2 Ashley Hardin 2018-05-25 20:19:18 UTC
Work in progress: https://github.com/openshift/openshift-docs/pull/9606

Comment 3 Weihua Meng 2018-05-31 03:26:47 UTC
I checked all released OCP version doc, (from 3.1 to 3.7),
none of them has --enable="rhel-7-server-rpms" in upgrade section.

we need to add it for all versions, for now, only 3.9 added.

This bug is to track only 3.9, or for all versions?

Comment 4 rehan 2018-05-31 10:57:41 UTC
It would be better if it is back ported to previous versions as well.

Comment 5 Weihua Meng 2018-06-04 00:54:51 UTC
please check comment 3 and comment 4 .
Thanks.

Comment 7 Weihua Meng 2018-06-05 02:35:15 UTC
LGTM.
Thanks.

Comment 8 openshift-github-bot 2018-06-05 21:00:11 UTC
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/b9a9d97e3cff4d4ed64f1e4d1e342e54394d23cd
Bug 1571794, added missing repo

https://github.com/openshift/openshift-docs/commit/c026172059e952f686b7d245351a20e0382015f6
Merge pull request #9606 from ahardin-rh/missing-pkg

Bug 1571794, added missing repo

Comment 10 rehan 2018-06-10 11:39:36 UTC
Thanks Ashley, Thanks for the Information.


Note You need to log in before you can comment on or make changes to this bug.